package com.mortals.xhx.busiz.req;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;


@Data
public class DeviceReq implements Serializable {

    /**
     * 状态，0：新增，1：修改，2：删除，3：激活，4：上线，5：下线
     */
    private Integer deviceStatus;
    /**
     * 平台系统编码
     */
    private String platformCode;
    /**
     * 产品编码
     */
    private String productCode;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 设备编码(暂定mac地址)
     */
    private String deviceCode;
    /**
     * 所属站点编码
     */
    private String siteCode;
    /**
     * 所属站点名称
     */
    private String siteName;
    /**
     * 设备备注信息
     */
    private String deviceRemark;


}
